package com.yonge.netty.dto;

import org.apache.commons.lang3.builder.ToStringBuilder;

public class ChunkAnalysis {

	private double startTime;

	private double endTime;

	private double durationTime;

	private float frequency;

	private double splDb;

	private float[] energyEnvelop;
	
	private int amplitude;
	
	private boolean isPeak;

	public ChunkAnalysis(double startTime, double endTime, float frequency, double splDb, float[] energyEnvelop, int amplitude) {
		this.startTime = startTime;
		this.endTime = endTime;
		this.frequency = frequency;
		this.splDb = splDb;
		this.energyEnvelop = energyEnvelop;
		this.amplitude = amplitude;
		this.durationTime = endTime - startTime;
	}

	public double getStartTime() {
		return startTime;
	}

	public void setStartTime(double startTime) {
		this.startTime = startTime;
	}

	public double getEndTime() {
		return endTime;
	}

	public void setEndTime(double endTime) {
		this.endTime = endTime;
	}

	public double getDurationTime() {
		return durationTime;
	}

	public void setDurationTime(double durationTime) {
		this.durationTime = durationTime;
	}

	public float getFrequency() {
		return frequency;
	}

	public void setFrequency(float frequency) {
		this.frequency = frequency;
	}

	public double getSplDb() {
		return splDb;
	}

	public void setSplDb(double splDb) {
		this.splDb = splDb;
	}

	public float[] getEnergyEnvelop() {
		return energyEnvelop;
	}

	public void setEnergyEnvelop(float[] energyEnvelop) {
		this.energyEnvelop = energyEnvelop;
	}

	public int getAmplitude() {
		return amplitude;
	}

	public void setAmplitude(int amplitude) {
		this.amplitude = amplitude;
	}

	public boolean isPeak() {
		return isPeak;
	}

	public void setPeak(boolean isPeak) {
		this.isPeak = isPeak;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}
}
